> ## Documentation Index
> Fetch the complete documentation index at: https://boosterberg.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Boosted Page Campaign from Preset



## OpenAPI

````yaml https://api.boosterberg.com-beta.com/v1/doc/api-json post /boosted-pages/create
openapi: 3.0.0
info:
  title: Boosterberg API
  description: REST API For Boosterberg user-facing application
  contact:
    name: Miloslav Kona
    email: mkona@bykd.com
  version: '1.0'
servers:
  - url: https://api.boosterberg.com-beta.com/v1
    description: dev server
  - url: https://auto.boost.api/v1
    description: local
  - url: https://api.boosterberg.com/v1
    description: production
security: []
tags:
  - name: Posts
    description: Post lifecycle and evaluation data across all campaigns
paths:
  /boosted-pages/create:
    post:
      summary: Create Boosted Page Campaign from Preset
      operationId: 7208e565059f54bdf3dd2b0772c5792e
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              required:
                - preset_id
                - page_id
                - budget
                - targeting
              properties:
                preset_id:
                  type: integer
                  example: '1'
                page_id:
                  type: integer
                  example: '107226870964400'
                instagram_id:
                  type: integer
                  example: 17841433491511988
                budget:
                  type: number
                  format: float
                  example: '50'
                targeting:
                  description: >-
                    JSON-encoded Facebook AdSet targeting spec (merged on top of
                    the preset's audience_targeting). See
                    https://developers.facebook.com/docs/marketing-api/audiences/reference/targeting-specs
                  type: string
                  example:
                    geo_locations:
                      countries:
                        - US
                      cities:
                        - key: '2418779'
                          name: New York
                          region: New York
                          country: US
                          radius: 25
                          distance_unit: mile
                      location_types:
                        - home
                        - recent
                    age_min: 21
                    age_max: 55
                    genders:
                      - 1
                      - 2
                    locales:
                      - 6
                    flexible_spec:
                      - interests:
                          - id: '6003107902433'
                            name: Travel
                          - id: '6003397425735'
                            name: Outdoor recreation
                        behaviors:
                          - id: '6002714895372'
                            name: Frequent Travelers
                    exclusions:
                      interests:
                        - id: '6003020834693'
                          name: Business travel
                    publisher_platforms:
                      - facebook
                      - instagram
                    facebook_positions:
                      - feed
                      - video_feeds
                    instagram_positions:
                      - stream
                      - story
                      - reels
                    device_platforms:
                      - mobile
                      - desktop
                    targeting_automation:
                      advantage_audience: 0
                hashtag:
                  type: string
                  example: '#ad1'
                post_ids:
                  description: >-
                    Array of Facebook post IDs to boost. Only these posts will
                    be boosted.
                  type: array
                  items:
                    type: string
                    example: '107226870964400_123456789'
                cta:
                  description: Call-to-action button type
                  type: string
                cta_url:
                  description: Call-to-action destination URL
                  type: string
                dark_posts:
                  description: Create Facebook dark-post creatives. Defaults to never.
                  type: string
                  enum:
                    - never
                    - when_needed
                    - always
                  example: when_needed
                end_date:
                  description: Campaign end date (timestamp)
                  type: string
              type: object
      responses:
        '200':
          description: Returns true when campaign was successfully created
          content:
            application/json:
              schema:
                type: boolean
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````